Skip to content

Prototype Pollution in yargs-parser

moderate severity Published Sep 4, 2020 • Updated Jul 28, 2021
We are still processing this advisory. You may have affected repositories that are not yet on this list. Check back soon for more.

Package

npm yargs-parser (npm)

Affected versions

>= 6.0.0, < 13.1.2
>= 14.0.0, < 15.0.1
>= 16.0.0, < 18.1.2
<= 5.0.0

Patched versions

13.1.2
15.0.1
18.1.2
5.0.1

Description

Affected versions of yargs-parser are vulnerable to prototype pollution. Arguments are not properly sanitized, allowing an attacker to modify the prototype of Object, causing the addition or modification of an existing property that will exist on all objects.
Parsing the argument --foo.__proto__.bar baz' adds a bar property with value baz to all objects. This is only exploitable if attackers have control over the arguments being passed to yargs-parser.

Recommendation

Upgrade to versions 13.1.2, 15.0.1, 18.1.1 or later.

References

CVE ID

CVE-2020-7608

CVSS Score

5.3 Moderate
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L